using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using FamilyTreeAPI.Entities;

namespace FamilyTreeAPI.Interface;

public interface IStaff
{
    
    Task<ResultModel<Dictionary<int,StaffDto>>> GetDicStaffs();
    Task<ResultModel<List<StaffDto>>> GetStaff(StaffCriteria criteria);
    Task<ResultModel<StaffDto>> GetStaffById(int id);
    Task<ResultModel<int>> SaveStaff(StaffDto code);
    Task<ResultModel<int>> ResetPassword(ResetPassDto code);
    Task<ResultModel<int>> SaveStaffNew(StaffDto adminUser);
   
    Task<ResultModel<int>> Delete(int id);
}
